Retrieves the unavailability with the specified key
Request Information
URI Parameters :
| Name | Description | Type | Additional information |
|---|---|---|---|
| id | globally unique identifier |
Required |
Body Parameters :
None.
Response Information
Resource Description :
IHttpActionResult
user_unavailability| Name | Description | Type | Additional information |
|---|---|---|---|
| id |
Primary Key |
globally unique identifier | |
| date_start |
Date+Time of the beginning |
date |
Required |
| date_end |
Date+Time of the end |
date |
Required |
| modified_dateutc |
Date+Time of the modified |
date |
Required |
| description |
Description of the unavailability |
string |
Max length: 255 |
| is_approved |
Indicate if this object has been approved using a User Week Approval |
boolean | |
| user_id |
User owner of this unavailability |
globally unique identifier |
Optionally required : user_id, user_code or user must be provided |
| user_code |
Embedded entity "user" using ERP PK when adding/updating user_unavailability |
string |
Optionally required : user_id, user_code or user must be provided |
| user |
Embedded entity "user" using node when adding/updating user_unavailability |
user |
Optionally required : user_id, user_code or user must be provided |
| user_unavailability_type_id |
Type of the unavailability, cf model user_unavailability_type |
globally unique identifier |
Required Optionally required : user_unavailability_type_id, user_unavailability_type_code or user_unavailability_type must be provided |
| user_unavailability_type_code |
Embedded entity "user_unavailability_type" using ERP PK when adding/updating user_unavailability |
string |
Optionally required : user_unavailability_type_id, user_unavailability_type_code or user_unavailability_type must be provided |
| user_unavailability_type |
Embedded entity "user_unavailability_type" using node when adding/updating user_unavailability |
user_unavailability_type |
Optionally required : user_unavailability_type_id, user_unavailability_type_code or user_unavailability_type must be provided |
Response Formats
application/json, text/json
{
"id": "e3393717-7bc8-418e-9129-4da3630dbc2a",
"date_start": "2026-10-31T02:25:07.742262+00:00",
"date_end": "2026-10-31T02:25:07.742262+00:00",
"modified_dateutc": "2026-10-31T02:25:07.742262+00:00",
"description": "sample string 5",
"is_approved": true,
"user_id": "f5d77adf-72cf-403c-94f3-2da553cec59f",
"user_code": "sample string 8",
"user": {
"id": "ff89c522-c450-49d8-92da-5b7a73d6b3d5",
"db_language_id": "7bb2c590-3100-4615-9fe5-99e88c074596",
"username": "sample string 3",
"firstname": "sample string 4",
"lastname": "sample string 5",
"code": "sample string 6",
"archived": true,
"disabled": true,
"emergency_contact": "sample string 9",
"bankaccount": "sample string 10",
"social_security": "sample string 11",
"place_of_birth": "sample string 12",
"nationality": "sample string 13",
"functions": "sample string 14",
"birthdate": "2026-10-31T02:25:07.742262+00:00",
"skype": "sample string 16",
"notes": "sample string 17",
"sales_organization_id": "e7738e92-3e45-4b68-b716-f82daa56de99",
"sales_organization": {
"id": "c45954f7-20c9-45b3-9e79-20c70372e8f1",
"code": "sample string 2",
"name": "sample string 3",
"description": "sample string 4",
"db_country_id": "013d93a4-f708-40b4-85bf-aaa3a27f40e2",
"db_currency_id": "7e139398-fe21-4fa2-85e7-a5171e2cfbad",
"db_language_id": "879883d8-84da-4f5d-b3bf-2b3e8f898b04",
"accountancy_code": "sample string 8",
"archived": true,
"default_unit_of_measure_system_type": "sample string 10",
"street": "sample string 11",
"street2": "sample string 12",
"street_number": "sample string 13",
"zip": "sample string 14",
"city": "sample string 15",
"email": "sample string 16",
"phone": "sample string 17",
"fax": "sample string 18",
"url": "sample string 19",
"vat_reg_code": "sample string 20",
"modified_dateutc": "2026-10-31T02:25:07.742262+00:00"
},
"sales_organization_code": "sample string 19",
"is_team_leader": true,
"team_leader_user_id": "f9ba9bea-83b7-498f-861b-47b8ba8a19bf",
"email": "sample string 22",
"phone": "sample string 23",
"fax": "sample string 24",
"mobile": "sample string 25",
"private_email": "sample string 26",
"private_phone": "sample string 27",
"private_fax": "sample string 28",
"private_mobile": "sample string 29",
"private_street": "sample string 30",
"private_street_number": "sample string 31",
"private_city": "sample string 32",
"private_zip": "sample string 33",
"private_db_country_id": "f2e21c38-d6ff-4e2f-91a4-040d443ee738",
"private_db_country_code": "sample string 35",
"modified_dateutc": "2026-10-31T02:25:07.742262+00:00",
"allow_hero_app": true,
"allow_sales_app": true,
"allow_service_app": true,
"user_group_id": "c1286692-b3c1-4d59-b079-978db04a8c54"
},
"user_unavailability_type_id": "f6e44f72-ec33-49b9-8f7b-9cabfbd0c790",
"user_unavailability_type_code": "sample string 10",
"user_unavailability_type": {
"id": "fbdc6497-fc0f-4730-ae26-b5d0ebd24c74",
"code": "sample string 2",
"name": "sample string 3",
"description": "sample string 4",
"sales_organization_id": "5a5f58e1-5a9e-4460-8663-4f2ede333d55",
"sales_organization_code": "sample string 6",
"sales_organization": {
"id": "c45954f7-20c9-45b3-9e79-20c70372e8f1",
"code": "sample string 2",
"name": "sample string 3",
"description": "sample string 4",
"db_country_id": "013d93a4-f708-40b4-85bf-aaa3a27f40e2",
"db_currency_id": "7e139398-fe21-4fa2-85e7-a5171e2cfbad",
"db_language_id": "879883d8-84da-4f5d-b3bf-2b3e8f898b04",
"accountancy_code": "sample string 8",
"archived": true,
"default_unit_of_measure_system_type": "sample string 10",
"street": "sample string 11",
"street2": "sample string 12",
"street_number": "sample string 13",
"zip": "sample string 14",
"city": "sample string 15",
"email": "sample string 16",
"phone": "sample string 17",
"fax": "sample string 18",
"url": "sample string 19",
"vat_reg_code": "sample string 20",
"modified_dateutc": "2026-10-31T02:25:07.742262+00:00"
},
"modified_dateutc": "2026-10-31T02:25:07.742262+00:00"
}
}